%define major		12
%define major_applet	0
%define gi_major	1.0

%define libname		%mklibname %{name} %{major}
%define libnameapplet	%mklibname %{name}-applet %{major_applet}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gi_major}
%define girnameapplet	%mklibname %{name}-applet-gir %{gi_major}
%define _udevrulesdir	/lib/udev/rules.d
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name: 	 	gnome-bluetooth
Summary: 	GNOME Bluetooth Subsystem
Version: 	3.10.0
Release: 	%mkrel 1
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source2:	61-gnome-bluetooth-rfkill.rules
URL:		http://usefulinc.com/software/gnome-bluetooth/
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.90
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.3
BuildRequires:	pkgconfig(libnotify) >= 0.7.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.9.5
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
Requires:	bluez
Requires:	obexd
Requires:	pulseaudio-module-bluetooth
Provides:	bluez-pin
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The gnome-bluetooth package contains graphical utilities to setup,
monitor and use Bluetooth devices.

%package -n %{libname}
Group:		System/Libraries
Summary: 	GNOME bluetooth library
Conflicts:	%{_lib}gnome-bluetooth7 < 1:2.31

%description -n %{libname}
Library from GNOME-Bluetooth.


%package -n %{develname}
Group:		Development/Libraries
Summary:	Development files and header files from %{name}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libgnomebt-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}


%description -n %{develname}
Development files and header files from %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--enable-shared \
	--disable-static \
	--disable-desktop-update \
	--disable-icon-update \
	--disable-schemas-compile
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_udevrulesdir}
install %{SOURCE2} %{buildroot}%{_udevrulesdir}/

%find_lang %{name} --all-name

# Remove .la files
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS
%{_udevrulesdir}/61-gnome-bluetooth-rfkill.rules
%{_bindir}/*
%{_datadir}/applications/bluetooth-sendto.desktop
%{_datadir}/applications/bluetooth-wizard.desktop
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_datadir}/icons/hicolor/*/*/*.*
%{_libdir}/%{name}/plugins/libgbtgeoclue.*
%{_datadir}/help

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{major}*
%{_libdir}/gnome-bluetooth/libgnome-bluetooth-applet.so.%{major_applet}*
%{_libdir}/gnome-bluetooth/GnomeBluetoothApplet-%{gi_major}.typelib
%{_libdir}/girepository-1.0/GnomeBluetooth-%{gi_major}.typelib

%files -n %{develname}
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/gnome-bluetooth/libgnome-bluetooth-applet.so
%{_datadir}/gir-1.0/GnomeBluetooth-%{gi_major}.gir
%{_libdir}/pkgconfig/*.pc

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%postun
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%clean
rm -rf %{buildroot}


%changelog
* Sat Oct 19 2013 billybot <billybot> 3.10.0-1pclos2013
- import into pclos for cinnamon
